summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Charles Daniels2020-03-14 01:41:17 +0100
committer Willy Sudiarto Raharjo2020-03-14 01:41:17 +0100
commitdd404c481ec3fb8295eecb08077503dab0c97570 (patch)
treefa21475de843ee53b55eaff3f9c7f1fe0c3b3169
parent872c99821a7f4ffe08b492c517a63b8d340a9c6e (diff)
downloadslackbuilds-dd404c481ec3fb8295eecb08077503dab0c97570.tar.gz
network/Quaternion: Added (A Qt5-based IM client for Matrix).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/Quaternion/Quaternion.SlackBuild108
-rw-r--r--network/Quaternion/Quaternion.info10
-rw-r--r--network/Quaternion/README12
-rw-r--r--network/Quaternion/doinst.sh7
-rw-r--r--network/Quaternion/slack-desc12
5 files changed, 149 insertions, 0 deletions
diff --git a/network/Quaternion/Quaternion.SlackBuild b/network/Quaternion/Quaternion.SlackBuild
new file mode 100644
index 0000000000..dc72254b20
--- /dev/null
+++ b/network/Quaternion/Quaternion.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for Quaternion
+
+# Copyright 2020 Charles Daniels, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Quaternion
+VERSION=${VERSION:-0.0.9.4c}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# -DUSE_INTREE_LIBQMC=0 to use the installed version of libQuotient, rather
+# than building in a submodule. This is preferred both because the relase
+# tarball will not include libQuotient, and to avoid multiple installations.
+
+# -DUSE_KEYCHAIN=0 to disable support for qt5keychain. I could not get this to
+# work even with the qtkeychain package from slackbuilds.org. YMMV.
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release .. \
+ -DUSE_INTREE_LIBQMC=0 \
+ -DUSE_KEYCHAIN=0
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUILDING.md COPYING README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/Quaternion/Quaternion.info b/network/Quaternion/Quaternion.info
new file mode 100644
index 0000000000..292f287e2f
--- /dev/null
+++ b/network/Quaternion/Quaternion.info
@@ -0,0 +1,10 @@
+PRGNAM="Quaternion"
+VERSION="0.0.9.4c"
+HOMEPAGE="https://github.com/quotient-im/Quaternion"
+DOWNLOAD="https://github.com/quotient-im/Quaternion/archive/0.0.9.4c/Quaternion-0.0.9.4c.tar.gz"
+MD5SUM="6786fbdeec6edc5432694216aebe2ebf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libQuotient"
+MAINTAINER="Charles Daniels"
+EMAIL="charles@cdaniels.net"
diff --git a/network/Quaternion/README b/network/Quaternion/README
new file mode 100644
index 0000000000..49c048fa48
--- /dev/null
+++ b/network/Quaternion/README
@@ -0,0 +1,12 @@
+Quaternion is a cross-platform desktop IM client for the Matrix
+protocol.
+
+SlackBuild notes:
+
+* -DUSE_KEYCHAIN=0 is set - I was not able to get Quaternion to use the
+ version of qtkeychain from slackbuilds.org. YMMV.
+
+* -DUSE_INTREE_LIBQMC=0 is set to use the system copy of libQuotient.
+ Using the in-tree version requires the sources to be fetched
+ recursively via git, since it's a submodule. You probably don't want
+ to change this.
diff --git a/network/Quaternion/doinst.sh b/network/Quaternion/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/network/Quaternion/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/network/Quaternion/slack-desc b/network/Quaternion/slack-desc
new file mode 100644
index 0000000000..62a58bcee7
--- /dev/null
+++ b/network/Quaternion/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+Quaternion: Quaternion (A Qt5-based IM client for Matrix)
+Quaternion:
+Quaternion: Quaternion is a cross-platform desktop IM client for the Matrix
+Quaternion: protocol.
+Quaternion:
+Quaternion: Homepage: https://github.com/quotient-im/Quaternion
+Quaternion:
+Quaternion:
+Quaternion:
+Quaternion:
+Quaternion: